commit: 1fbf6335aed32d25b8dc19eb6325b6c3fd83797e
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Fri Apr 2 01:17:43 2021 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Apr 3 16:10:26 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1fbf6335
net-analyzer/snortalog: port to EAPI 7
Signed-off-by: Sam James <sam <AT> gentoo.org>
net-analyzer/snortalog/snortalog-2.4.3-r1.ebuild | 24 ++++++++++++++++--------
1 file changed, 16 insertions(+), 8 deletions(-)
diff --git a/net-analyzer/snortalog/snortalog-2.4.3-r1.ebuild
b/net-analyzer/snortalog/snortalog-2.4.3-r1.ebuild
index 18e2cd14b90..960612b2f88 100644
--- a/net-analyzer/snortalog/snortalog-2.4.3-r1.ebuild
+++ b/net-analyzer/snortalog/snortalog-2.4.3-r1.ebuild
@@ -1,17 +1,19 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=5
-inherit eutils
+EAPI=7
MY_P="${PN}_v${PV}"
-DESCRIPTION="a powerful perl script that summarizes snort logs"
+inherit edos2unix
+
+DESCRIPTION="A powerful perl script that summarizes snort logs"
HOMEPAGE="http://jeremy.chartier.free.fr/snortalog/"
SRC_URI="http://jeremy.chartier.free.fr/snortalog/downloads/${PN}/${MY_P}.tar"
+S="${WORKDIR}"
+
LICENSE="GPL-2"
SLOT="0"
-
KEYWORDS="~amd64 ~arm ~ppc ~sparc ~x86"
IUSE="tk"
@@ -24,10 +26,16 @@ RDEPEND="
tk? ( dev-perl/Tk )
"
-S=${WORKDIR}
-
src_prepare() {
- edos2unix $(find conf/ modules/ -type f) ${PN}.* CHANGES
+ default
+
+ local convert=$(find conf/ modules/ -type f || die)
+ convert+=( ${PN}.* CHANGES )
+
+ local item
+ for item in ${convert[@]} ; do
+ edos2unix "${item}"
+ done
# fix paths, erroneous can access message
sed -i \